#ifndef __CAAM420_MAT_T_SPARSE__
#define __CAAM420_MAT_T_SPARSE__

#include "mattbase.hh"
#include "except.hh"

/* sparse matrix class template */

template<typename Scalar>
class MatTSparse: public MatTBase {

private:

  int nr;      // number of rows
  int nc;      // number of cols
  int nnz;     // number of nonzeros
  int * ia;    // row position array
  int * ja;    // col index array
  Scalar * a;  // nonzero array

  MatTSparse();

public:

  MatTSparse(int _nr, int _nc) {}
  MatTSparse(MatTSparse<Scalar> const & m) {}
  ~MatTSparse() {}

  int getNumRows() const { return nr; }
  int getNumCols() const { return nc; }
  int getNumNonzeros() const { return nnz; }

  Scalar & operator()(int i,int j) {}
  Scalar const & operator()(int i,int j) const {}

  void matmult(VecTBase<Scalar> const & in, VecTBase<Scalar> & out) {}

  ostream & report(ostream & str) const {}

  ostream & matPrint(ostream & str) const {}

};

#endif
