#include <stdio.h>

/* Author: WWS
   Purpose: illustrate array declaration, looping through
   array elements with for, and a simple linear algebra op
   (vector addition)
*/

#define ARR_SIZE 3

int main() {

  const int arr_size = 3;
  
  double a1[ARR_SIZE];
  double a2[arr_size];
  double a3[3];

  int i;   /* loop counter */

  for (i=0;i<arr_size;i++) {
    a1[i]=(double)i;
    a2[i]=2.0 * i;
    printf("a1[%d]=%12.4e a2[%d]=%12.4e\n",i,a1[i],i,a2[i]);
  }

  for (i=0;i<ARR_SIZE;i++) {
    a3[i]=a1[i]+a2[i];
    printf("(a1+a2)[%d]=%12.4e\n",i,a3[i]);
  }

  return 0;

}
