#include <stdio.h>

/*
Author: WWS 

Purpose: powers of 2 by function call, using K&R's power function (p. 27)
*/

/* power function - returns base^n */
int power(int base, int n) {
  int p;
  for (p=1; n>0; ((n--) && (p *= base))) {}
  return p;
}

int main() {
  int n=11;
  int i;
  for (i=0;i<n;i++) printf("2^%d = %d\n",i,power(2,i));
}

