#include <stdio.h>
/* need another header file - the one that defines the
   random number generator rand and associated stuff - 
   to find out which header file you need, look up rand
   in the index of K&R! */
#include <stdlib.h>
/* to initialize the random number seed, use process id,
   returned by getpid() - note that this is NOT a C standard
   library function, but rather belongs to a Unix-proper 
   extension of the C library. It's not in the index of K&R.
   To find out what header file is necessary, consult the 
   man page - "man getpid".
*/
#include <unistd.h>

/* FILE: ex1-0.c 
   PURPOSE: display random integer, illustrate use of C
   standard library functions.  
   AUTHOR: WWS 
   DATE CREATED: 16.01.2002
   DATE LAST MODIFIED: 27.08.2010 [the dates are traditional
   identifying info, rendered somewhat redundant by the use of a
   source control system like svn]
*/

int main() {
  /* what happens to the return value of main if run is terminated
     with an error */
  /*int x =1/0;*/
  printf("RAND_MAX = %d\n",RAND_MAX);

  /* if you don't reinitialize the random seed, you'll get
     the same random number every time - try it! */
  srand(getpid());
  printf("here is a random integer: %d\n",rand());
  printf("here is another one:      %d\n",rand());
  printf("and another: %d\n",rand());
  printf("and another: %d\n",rand());
  printf("and another: %d\n",rand());
  printf("and another: %d\n",rand());

  return 0;
}
