c     clone of the matmult function in solution of HW 4

      subroutine matmult(nrows, ncols, a, x, b) 

c     as in old-style C, declarations of arguments are in the
c     subroutine body, rather than in the arg list

      implicit none

      integer nrows
      integer ncols

c     array declaration - here a is really a pointer to 
c     a block of memory holding nrows*ncols reals - note
c     that all LAPACK functions declare a LEADING ARRAY 
c     DIMENSION, to separate storage from usage - LDA need
c     not be nrows

      real a(nrows,ncols)

c     singly subscripted arrays
      real x(ncols)
      real b(nrows)

c     counters
      integer i
      integer j

c     ta-da... look ma no curly braces!
      do i=1,nrows
         b(i)=0.0
         do j=1,ncols
            b(i)=b(i)+a(i,j)*x(j)
         enddo
      enddo

c     a subroutine returns no value - equivalent to a
c     void function. 
      return

c     end statement analogous to end of scope (}) in C
      end
