#include "vectdense.hh"

void dispDot(VecTBase<float> const & v, 
	     VecTBase<float> const & w);

int main() {
  try {
    VecTDense<float> v(10);
    VecTDense<float> w(5);
    v.zero();
    w.zero();
    dispDot(v,w);
  }
  catch (CAAM420Exception & e) {
    cout<<e.what()<<endl;
    exit(0);
  }
  catch (...) {
    cout<<"some other kinda exception\n";
    exit(1);
  }
}
