#include <stdio.h>

/*
Author: WWS
Purpose: illustrates the use of cast to change type in a sensible way
*/

int main() {

  int n    = 1;
  int m    = 2;
  float nf = 1.0f;
  float mf = 2.0f;
  float half;

  half = n/m;
  printf("1/2 (ints)    = %f\n",half);

  half = nf/mf;
  printf("1/2 (floats)  = %f\n",half);

  nf=n;
  mf=m;
  half=nf/mf;
  half = nf/mf;
  printf("1/2 (assigns) = %f\n",half);

  /* the cast below automaticaly promotes int to float */
  half = ((float)n)/((float)m);
  printf("1/2 (casts)   = %f\n",half);  

  return 0;
}
