/* 
 * Author: WWS
 *
 * Purpose: illustrate pass-by-value and C's fake pass-by-reference
 * using pointers.
 */

#include <stdio.h>

/* void is the "no-type", used when no return value is required
   (amongst other things) 
*/
void fun(int a, int * b) {
  a++;
  (*b)++;
}

int main() {

  int x=1;
  int y=1;

  printf("before: x=%d y=%d\n",x,y);
  fun(x,&y);
  printf("after: x=%d y=%d\n",x,y);
  
}
