/*
 * Author: WWS
 *
 * Purpose: illustrate the use of structure and intrinsic 
 * typedefs to enhance code flexibility
 */

#include "cstd.h"
#include "vect.h"

int main(int argc, char ** argv) {

  int i;               // counter
  int n=10;            // vector size
  VEC v;        // a vec to play with

  vec_construct(&v);        // set to initial state
  vec_init(&v,n);    // make a vec of length 10
  for (i=0;i<n;i++)    // fill it with floats
    vec_set(v,i,(REAL)i);
  vec_print(v);        // print it out

  exit(0);
}
