#include <stdio.h>
#include <stdlib.h>

/*
Author: WWS
Purpose: display size in bytes of various built-in types, 
also alternate (and more common) use of sizeof.
*/

int main() {

  printf("size of short     = %d\n",sizeof(short));
  printf("size of int       = %d\n",sizeof(int));  
  printf("size of long      = %d\n",sizeof(long));  
  printf("size of long long = %d\n",sizeof(long long));
  printf("size of float     = %d\n",sizeof(float));
  printf("size of double    = %d\n",sizeof(double));
  printf("size of size_t    = %d\n",sizeof(size_t));  
  printf("size of off_t     = %d\n",sizeof(off_t));  

  return 0;
}
